    # File lib/merb-core/dispatch/router/behavior.rb, line 475
          def identify(identifiers = {}, &block)
            identifiers = if Hash === identifiers
              @identifiers.merge(identifiers)
            else
              { Object => identifiers }
            end

            behavior = Behavior.new(@proxy, @conditions, @params, @defaults, identifiers.freeze, @options, @blocks)
            with_behavior_context(behavior, &block)
          end